## sway-audio-idle-inhibit 2.0.0

=== meson_options.txt ===
option('logind-provider', type: 'combo', choices: ['systemd', 'elogind'], value: 'systemd', description: 'Provider of logind support library')

## sway-audio-idle-inhibit 0.1.1-1regolith

=== debian/changelog ===
sway-audio-idle-inhibit (0.1.1-1regolith-jammy) jammy; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 07 May 2024 03:49:44 +0000

sway-audio-idle-inhibit (0.1.1) focal; urgency=medium

  * Initial release. 

 -- Soumya Ranjan Patnaik <soumyaranjan1812@gmail.com>  Tue, 17 Jan 2023 23:17:49 +0530

=== debian/control ===
Source: sway-audio-idle-inhibit
Section: unknown
Priority: optional
Maintainer: Soumya Ranjan Patnaik <soumyaranjan1812@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 meson,
 libpulse-dev,
 build-essential,
 wayland-protocols,
 libwayland-dev,
 debhelper-compat (= 13),
Standards-Version: 4.6.1
Homepage: https://github.com/ErikReider/SwayAudioIdleInhibit

Package: sway-audio-idle-inhibit
Architecture: any
Depends:
 ${misc:Depends},
 libpulse0,
 wayland-protocols,
 libwlroots11,
Description: Prevents swayidle from sleeping while 
 any application is outputting or receiving audio

## sway-audio-idle-inhibit 0.1.2-1regolith

=== debian/changelog ===
sway-audio-idle-inhibit (0.1.2-1regolith-noble) noble; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Mon, 29 Jul 2024 13:37:45 +0000

sway-audio-idle-inhibit (0.1.2) jammy; urgency=medium

  [ Soumya Ranjan Patnaik ]
  * Add wlroots dependency
  * chore: bump libwlroots dependency version

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 29 Jun 2024 16:37:40 -0700

## sway-audio-idle-inhibit 0.1.4-1regolith

=== debian/changelog ===
sway-audio-idle-inhibit (0.1.4-1regolith-trixie) trixie; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 30 Aug 2025 04:25:49 +0000

sway-audio-idle-inhibit (0.1.4) jammy; urgency=medium

  [ Khosrow Moossavi ]
  * feat: enable github action to test pull requests
  * feat: enable github action to publish to unstable
  * feat: enable github action to publish to testing
  * feat: enable github action to prepare release
  * fix: use full repository name only for building packages
  * fix: create release tag from correct git sha

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 04 Feb 2025 03:19:51 +0000

sway-audio-idle-inhibit (0.1.3) jammy; urgency=medium

  [ Micah Gorrell ]
  * Added a section in the README to show an example for integrating this with waybar

  [ Erik Reider ]
  * Update README.md
  * Initial fix

  [ LeSqueed ]
  * Reverted idle.cpp so it functions again. Prevent crash when audio device disconnects
  * Formatting Add client invalid index check to source_output_info_callback as well.

  [ hypperd ]
  * fix: change event types

  [ rkrishn7 ]
  * allow ignoring source outputs

  [ Soumya Ranjan Patnaik ]
  * fix: depend on sway instead of libwlroots11

 -- Regolith Linux <regolith.linux@gmail.com>  Fri, 09 Aug 2024 06:14:20 -0700

## sway-audio-idle-inhibit 0.1.4-1-1regolith

=== debian/changelog ===
sway-audio-idle-inhibit (0.1.4-1-1regolith-noble) noble; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Wed, 15 Oct 2025 00:39:13 +0000

sway-audio-idle-inhibit (0.1.4-1) jammy; urgency=medium

  [ Khosrow Moossavi ]
  * feat: use build-only to test pull request

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 14 Oct 2025 01:15:52 +0000

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,6 @@
  ${misc:Depends},
  libpulse0,
  wayland-protocols,
- libwlroots11,
+ sway
 Description: Prevents swayidle from sleeping while 
  any application is outputting or receiving audio

## sway-audio-idle-inhibit 2.0.0-1regolith

=== debian/changelog ===
sway-audio-idle-inhibit (2.0.0-1regolith-jammy) jammy; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 16 Nov 2025 17:08:32 +0000

sway-audio-idle-inhibit (2.0.0) jammy; urgency=medium

  [ Maksym Litvinov ]
  * Safe handling of ignoredSourceOutputs array

  [ Erik Reider ]
  * Bumped version to 0.1.2
  * Added COPR RPM spec file
  * Added gcc as build dependency

  [ TimaFrolov ]
  * Move registry_listener from stack into static memory

  [ Erik Reider ]
  * Added .clang-format file
  * Use systemd/elogind Inhibit instead of the wayland protocol
  * Updated build scripts
  * Bumped version to 0.2.0

  [ Soumya Ranjan Patnaik ]
  * chore: update dependencies to match v0.2.0
  * feat: add systemd to handle process execution and failures

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 16 Nov 2025 17:07:32 +0000

=== debian/control ===
Source: sway-audio-idle-inhibit
Section: unknown
Priority: optional
Maintainer: Soumya Ranjan Patnaik <soumyaranjan1812@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 meson,
 libpulse-dev,
 libsystemd-dev,
 build-essential,
 debhelper-compat (= 13),
Standards-Version: 4.6.1
Homepage: https://github.com/ErikReider/SwayAudioIdleInhibit

Package: sway-audio-idle-inhibit
Architecture: any
Depends:
 ${misc:Depends},
 libpulse0,
 libsystemd0,
Description: Prevents system from idling while
 an audio source or audio sink is active
